package com.bcxin.wps.repository;

import java.util.Collection;
import java.util.List;
import java.util.Optional;

public interface RepositoryBase <T,ID> {
    List<T> findAllById(Collection<ID> ids);

    Optional<T> findById(ID id);

    <S extends T> S save(S entity);
}